## ros-lunar-ps3joy 1.12.0

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(ps3joy)

find_package(PkgConfig REQUIRED)
pkg_search_module(LIBUSB REQUIRED libusb)
if(LIBUSB_FOUND)
  include_directories(SYSTEM ${LIBUSB_INCLUDE_DIRS})
  link_directories(${LIBUSB_LIBRARY_DIRS})
else()
  message( FATAL_ERROR "Failed to find libusb" )
endif(LIBUSB_FOUND)

# Load catkin and all dependencies required for this package
set(CATKIN_DEPS diagnostic_msgs sensor_msgs rospy rosgraph)
find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPS})
catkin_package(CATKIN_DEPENDS ${CATKIN_DEPS})

include_directories(${catkin_INCLUDE_DIRS})
add_executable(sixpair src/sixpair.c)
target_link_libraries(sixpair -lusb ${catkin_LIBRARIES})

# Install targets
install(TARGETS sixpair
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

install(FILES diagnostics.yaml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

install(PROGRAMS scripts/ps3joy.py scripts/ps3joy_node.py scripts/ps3joysim.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

=== debian/changelog ===
ros-lunar-ps3joy (1.12.0-0stretch) stretch; urgency=high

  * Addressed numerous outstanding PRs.
  * Created bluetooth_devices.md
  * Created testing guide for ps3joy.
  * Create procedure_test.md
  * Let ps3joy_node not quit on inactivity-timeout.
  * Refine diagnostics message usage in ps3joy_node
  * Improve ps3joy_node with rospy.init_node and .is_shutdown
  * Remove quit on failed root level check, part one of issue #53 <https://github.com/ros-drivers/joystick_drivers/issues/53>
  * Create README
  * Changed package xml to format 2
  * Contributors: Alenso Labady, Felix Kolbe, Jonathan Bohren, alab288, jprod123

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 05:00:00 -0000

ros-lunar-ps3joy (1.11.0-0stretch) stretch; urgency=high

  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 10 Feb 2017 06:00:00 -0000

ros-lunar-ps3joy (1.10.1-0stretch) stretch; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 05:00:00 -0000

ros-lunar-ps3joy (1.10.0-0stretch) stretch; urgency=high

  * First indigo reelase
  * Update ps3joy/package.xml URLs with github user ros to ros-drivers
  * Prompt for sudo password when required
  * Contributors: Felix Kolbe, Jonathan Bohren, dawonn

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-ps3joy
Section: misc
Priority: extra
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), bluez, joystick, libusb-dev, python-bluez, ros-lunar-catkin, ros-lunar-diagnostic-msgs, ros-lunar-rosgraph, ros-lunar-rospy, ros-lunar-sensor-msgs
Homepage: http://www.ros.org/wiki/ps3joy
Standards-Version: 3.9.2

Package: ros-lunar-ps3joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bluez, joystick, libusb-dev, python-bluez, ros-lunar-diagnostic-msgs, ros-lunar-rosgraph, ros-lunar-rospy, ros-lunar-sensor-msgs
Description: Playstation 3 SIXAXIS or DUAL SHOCK 3 joystick driver.
 Driver for the Sony PlayStation 3 SIXAXIS or DUAL SHOCK 3 joysticks. In its current state, this driver is not compatible with the use of other Bluetooth HID devices. The driver listens for a connection on the HID ports, starts the joystick streaming data, and passes the data to the Linux uinput device so that it shows up as a normal joystick.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-ps3joy//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
